package mitarbeiterDao;

import fachklassen.Mitarbeiter;

public interface IMitarbeiterDAO {

    boolean mitarbeiterExists(int id);

    Mitarbeiter getMitarbeiter(int id) throws MitarbeiterException;

    Mitarbeiter[] getAllMitarbeiter() throws MitarbeiterException;

    void addMitarbeiter(Mitarbeiter mitarbeiter) throws MitarbeiterException;

    void changeMitarbeiter(Mitarbeiter mitarbeiter) throws MitarbeiterException;

    void removeMitarbeiter(Mitarbeiter mitarbeiter) throws MitarbeiterException;
}
